Bug 965872 - xfce4-panel workspace switcher problem in deskbar mode
xfce4-panel workspace switcher problem in deskbar mode
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
18
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On: 967372
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 17:35 EDT by schlaffi
Modified: 2013-12-08 09:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-02 14:58:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
situation in deskbar mode (2.45 KB, image/png)
2013-05-21 17:38 EDT, schlaffi
no flags Details
situation in vertical mode (2.73 KB, image/png)
2013-05-21 17:40 EDT, schlaffi
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1076291 None None None Never

  None (edit)
Description schlaffi 2013-05-21 17:35:50 EDT
Description of problem:

If the workspace switcher is displayed in a panel in deskbar mode, the workspaces appear with flipped aspect ratio 

Version-Release number of selected component (if applicable):
xfce4-panel-4.10.1-1.fc18.x86_64
libwnck-2.30.7-4.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
1. create a panel in deskbar mode (Display->General->Mode->Deskbar)
2. add a Workspace Switcher with #rows < #workspaces
3. open properties for workspace switcher or restart xfce4

Actual results:
Workspaces have flipped aspect ratio (while the windows positions are correct), see first screenshot.

Expected results:
What I get in vertical mode, see second screenshot.

Additional info:
If I change to vertical mode, then all texts are flipped by 90°.

I guess it is the same bug as ubuntu launchpad #1076291.
Comment 1 schlaffi 2013-05-21 17:38:54 EDT
Created attachment 751398 [details]
situation in deskbar mode
Comment 2 schlaffi 2013-05-21 17:40:25 EDT
Created attachment 751399 [details]
situation in vertical mode
Comment 3 Kevin Fenzi 2013-05-26 13:18:25 EDT
Possibly related to https://bugzilla.xfce.org/show_bug.cgi?id=7656 

Would you be willing to file this upstream?
Comment 4 schlaffi 2013-05-26 16:50:13 EDT
(In reply to Kevin Fenzi from comment #3)
> Possibly related to https://bugzilla.xfce.org/show_bug.cgi?id=7656 
> 
> Would you be willing to file this upstream?

Indeed that look quite like the same bug.

I commented on that also on upstream, but note, that it is fixed libwnck-2.31 (one has, however to recompile xfce4-panel). I just checked that.

I do not know, why fedora (and other distros) stick with linwnck-2.30. Is it that 2.31 is not a stable release? Unfortunately, the next stable version is libwnck-3.0.
Comment 5 Kevin Fenzi 2013-05-26 17:48:24 EDT
No idea. I filed bug 967372 to ask it get updated. 

There's only the one fix for this issue in it that I see... so really it shouldn't be a major deal.
Comment 6 Kevin Fenzi 2013-12-02 14:58:07 EST
ok. I've updated libwnck in rawhide and rebuilt panel. 

I am really not sure it's a good idea to try and update stable releases for this. I guess if there's 0 issues in rawhide we could look at doing so. 

I'm going to close this now. If you want to push for stable release updates too, feel free to reopen and convince me. ;)
Comment 7 schlaffi 2013-12-08 09:00:22 EST
I cannot really test this. And of course it is only a cosmetic thing. So I am not pushing. But thanks for the action.

Note You need to log in before you can comment on or make changes to this bug.